import { useLocation } from "react-router-dom";
import BasicWindow from "../../Components/BasicWindow";
import Button from "../../Components/Button";
import BackButton from "../../Components/BackButton";

function AdminViewUserInfo(): JSX.Element {
  const content = (
    <>
      <h1 className="font-bold text-[30px] mb-[20px]">{useLocation().state}</h1>
      <div className="border-4 border-black bg-white flex flex-col items-center h-[65vh] w-[50vw] rounded-3xl content-center overflow-scroll space-y-[10vh] p-[30px]">
        <p>Put relevant info on user from database here</p>
      </div>
    </>
  );

  const buttons = (
    <>
      <Button
        text="Delete"
        onClick={(): void => {
          return;
        }}
        type="button"
      />
      <BackButton />
    </>
  );

  return <BasicWindow username="Admin" content={content} buttons={buttons} />;
}
export default AdminViewUserInfo;
